Package org.drinkless.tdlib

# Class TdApi.ImportMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ImportMessages

Enclosing class:
  TdApi

public static class TdApi.ImportMessages extends TdApi.Function<TdApi.Ok>
Imports messages exported from another app.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputFile[]`
  `attachedFiles`
  Files used in the imported messages.
  `long`
  `chatId`
  Identifier of a chat to which the messages will be imported.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `messageFile`
  File with messages to import.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportMessages()`
  Default constructor for a function, which imports messages exported from another app.
  `ImportMessages(long chatId, TdApi.InputFile messageFile, TdApi.InputFile[] attachedFiles)`
  Creates a function, which imports messages exported from another app.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of a chat to which the messages will be imported. It must be an identifier of a private chat with a mutual contact or an identifier of a supergroup chat with canChangeInfo member right.

  - ### messageFile

    public TdApi.InputFile messageFile
    File with messages to import. Only inputFileLocal and inputFileGenerated are supported. The file must not be previously uploaded.

  - ### attachedFiles

    public TdApi.InputFile[] attachedFiles
    Files used in the imported messages. Only inputFileLocal and inputFileGenerated are supported. The files must not be previously uploaded.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ImportMessages

    public ImportMessages()
    Default constructor for a function, which imports messages exported from another app.

    Returns `Ok`

  - ### ImportMessages

    public ImportMessages(long chatId, TdApi.InputFile messageFile, TdApi.InputFile[] attachedFiles)
    Creates a function, which imports messages exported from another app.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of a chat to which the messages will be imported. It must be an identifier of a private chat with a mutual contact or an identifier of a supergroup chat with canChangeInfo member right.
      `messageFile` - File with messages to import. Only inputFileLocal and inputFileGenerated are supported. The file must not be previously uploaded.
      `attachedFiles` - Files used in the imported messages. Only inputFileLocal and inputFileGenerated are supported. The files must not be previously uploaded.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR